<template>
    <bar-chart :chart_data="chart_data" :is_currency="true" range="days" :options="options" v-if="display"/>
</template>

<script>
    import BarChart from "../charts/BarChart";
    import _ from "lodash";

    export default {
		name: "AverageDepositChart",
        props: ['deposits'],
        data(){
		    return {
		        options: {
                    grid: {
                        left: 0,
                        top: 10,
                        width: '98%',
                    },
                    xAxis: {
                        axisLabel: {
                            formatter: (value) => {
                                return this.$date(value).format('DD.MM');
                            }
                        }
                    }
                }
            }
        },
        computed: {
            chart_data(){
                return _.map(this.deposits, (value, key) => {
                    return [key, value];
                });
            },
			display(){
            	return this.deposits && _.size(this.deposits);
			}
        },
        components: {
		    BarChart
        }
    }
</script>

<style scoped>
    .echarts{
        height: 200px;
    }
</style>
